---
title: "SERP API Page Screenshot"
url: "https://docs.dataforseo.com/v3/serp/screenshot"
date: "2026-06-06"
---

## SERP API Page Screenshot

  
Using the Live Page Screenshot endpoint, you can capture a screenshot of any SERP page.

The screenshot is made by visualizing the HTML of the search engine page. Thus, this endpoint can provide results for search engines that support HTML.

To obtain results, you have to specify `task_id`, which you can find in the response to the POST request.

**Note:** You can call the Page Screenshot endpoint any time within a 7-day period from the date of setting a task with a relevant Task POST endpoint. Importantly, once you call the Page Screenshot using a task ID, the URL to **the page screenshot saved on the DataForSEO storage will only remain accessible for one day**. Therefore, **we highly recommend** collecting the images from the task results and saving them on your storage on the same day you call the Page Screenshot endpoint.

If the image URL expires, you will have to make a new request the Page Screenshot endpoint (possible within a 7-day period from the date of setting a task with a relevant Task POST endpoint).

Your account will be charged **for each request** to this endpoint.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/screenshot     

      

Pricing

  Your account will be charged $0.004 for each request.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array.

**Description of the fields for setting a task:**

| Field name | Type | Description |
|---|---|---|
| `task_id` | string | *task identifier*   **required field**   unique identifier of the associated task in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format   you will be able to use it within **7 days** to request the results of the task at any time |
| `browser_preset` | string | *browser resolution preset*   optional field   browser preset associated with a certain device type   can take the following values: `desktop`, `tablet`, `mobile`   **Note:** by default, browser preset corresponds to the device type specified in the POST request |
| `browser_screen_width` | integer | *width of the browser resolution*   optional field   can be specified in the following range: `240-9999`   default value for `desktop`: 1920   default value for `mobile`: 390   default value for `table`: 1024 |
| `browser_screen_height` | integer | *height of the browser resolution*   optional field   can be specified in the following range: `240-9999`   default value for `desktop`: 1080   default value for `mobile`: 844   default value for `table`: 1366 |
| `browser_screen_scale_factor` | float | *browser scale factor*   optional field   can be specified in the following range: `0.5-3`   default value for `desktop`: 1   default value for `mobile`: 3   default value for `table`: 2 |
| `page` | integer | *number of SERP pages*   optional field   if `depth` in the corresponding Task POST request exceeds 10 results (or 1 SERP page), specify the number of SERP pages to screenshot;   default value: `1` |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total *tasks* cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `items_count` | integer | *number of items in the results array* |
| `items` | array | *items array* |
| `image` | string | *screenshot of the requested page*   URL of the page screenshot on the DataForSEO storage   **note: the page screenshot saved on the DataForSEO storage only remains accessible for one day after making the request** |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/screenshot" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "task_id": "06211235-0696-0139-1000-36727fbd3c90",
    "browser_screen_scale_factor": 0.5
  }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to get a result
$post_array[] = array(
   "task_id" => "06211235-0696-0139-1000-36727fbd3c90",
   "browser_screen_scale_factor" => 0.5
);
try {
   // POST /v3/serp/screenshot
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/serp/screenshot', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}

$client = null;
?>
```





```js
const post_array = [];

post_array.push({
  "task_id": "06211235-0696-0139-1000-36727fbd3c90",
  "browser_screen_scale_factor": 0.5
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/serp/screenshot',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
```





```python
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")

post_data = dict()
# simple way to get a result
post_data[len(post_data)] = dict(
    task_id="06211235-0696-0139-1000-36727fbd3c90"
    browser_screen_scale_factor=0.5
)
# POST /v3/serp/screenshot
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/screenshot", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_screenshot()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to get a result
            postData.Add(new
            {
                task_id = "06211235-0696-0139-1000-36727fbd3c90",
                browser_screen_scale_factor = 0.5
            });
            // POST /v3/serp/screenshot
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/screenshot", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20220627",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.7082 sec.",
  "cost": 0.004,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07131549-1535-0454-0000-488f72f73457",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.6517 sec.",
      "cost": 0.004,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "screenshot"
      ],
      "data": {
        "api": "serp",
        "function": "screenshot",
        "task_id": "06211235-0696-0139-1000-36727fbd3c90",
        "browser_screen_scale_factor": 0.5
      },
      "result": [
        {
          "items_count": 1,
          "items": [
            {
              "image": "https://api.dataforseo.com/cdn/s/66fd833b-12ba-4e78-af23-ad3e436bb839"
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp